#ifndef HASH_FN_H
#define HASH_FN_H

unsigned long strtohashkey(char *string);

unsigned long (*hashkey)(element_t element);

#define HOCCU (.92)
int hashstep;
#define hashstep0(key,size) (1 + ((key) % ((size) - 1)))
#define hashstep1(size) ((size) << 1)
int hash0(element_t key,size_t size);
int hash1(element_t key,size_t size);
int hash2(element_t key,size_t size);
int hash3(element_t key,size_t size);
int hash4(element_t key,size_t size);
int hash5(element_t key,size_t size);
int hash6(element_t key,size_t size);

#define PHOCCU (.90)
int phashstep;
int phashstep0(int size);
int phash0(element_t key,size_t size);

#endif
